/* seteo */

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: 'Raleway', sans-serif;
  -webkit-overflow-scrolling: #000000;
}

img[alt="brand"] {
  height: 8vh;
  max-width: 100%;
  color: #fff;
}

section h1{
  padding-top: 5rem;
}

/* header */
header nav ul a {
  background-color: rgba(0, 0, 0, 0);
  color: #fff;
  transition: 1s;
  font-size: 18px;
  margin-right: 1.2rem;
}

/* clases reutilizables */

.black {
  background-color: #393232;
  color: #fff;
  transition: 1s;
}

.black-toggle {
  background-color: #393232;
  color: #fff;
}


/* colores */

.top-ribbon{
  margin: 0%;
  padding: 0%;
  display: block;
  list-style-type: disc;
  -webkit-margin-start: 0px;
  -webkit-margin-end: 0px;
}

.top-ribbon li {
  width: 16.66%;
  float: left;
  height: 0.5rem;
  list-style: none;
}

.yellow-background {
  background-color: #f9d42d;
}

.orange-background {
  background-color: #fa6900;
}

.green-background {
  background-color: #c7f465
}

.red-background {
  background-color: #ff4e50;
}

.violet-background {
  background-color: #c7b2b6;
}

.blue-background {
  background-color: #187699;
}

/* arrow */
.arrow::before{
  content: '╲╱';
  color: #fff;
  position: absolute;
  opacity: 0.7;
  text-shadow: 0 0 6px rgba(0,0,0,0.5);
  font-size: 20px;
  width: 60px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  border-radius: 10px;
  bottom: 20px;
  left: 50%;
  margin-left: -30px;
  animation: bounce 1s ease infinite;
}

@keyframes bounce {
  50% {
    transform: translateY(-50%);
  }
  100% {
    transform: translateY(0);
  }
}

hr {
  background-color: #187699;
  height: 0.5vh;
  width: 30%;
  margin-left: auto;
  margin-right: auto;
  border-radius: 2rem;
  position: relative;
  bottom: 0.7rem;
}

.hr-pink{
  background-color: #ff4e50;
}


/* section-home */
canvas {
  height: 100vh;
  width: 100vw;
}

.section-home figure {
  height: 100vh;
  width: 100vw;
  opacity: 0.8;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.section-home h1 {
  position: relative;
  top: 11rem;
  bottom: auto;
  color: #fff;
  font-weight: 600;
  padding-top: 4rem;
}

#home {
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
}

/* fin section-home */

/* section-about */
.section-about{
  padding-top: 3rem;
}

.section-about img {
  border: 0.1rem solid #000;
  padding: 0.3rem;
}

img[alt="about-img"] {
  width: 50vw;
  margin-top: 0.6rem;
  max-width: 100%;
}

.section-about h4 {
  text-align: center;
  margin: 1rem;
}

/* fin section-about */

/* section-skills */
.section-skills {
  height: 100vh;
  background-color: #bce4e6;
}

/* img[alt="html"] {
  height: 15vh;
} */


.section-skills img {
  padding-right: 0.5rem;
  padding-left: 0.5rem;
  margin-top: 4rem;
  height: 8vh;
  text-align: center; 
}

.section-skills img:hover{
  filter: sepia(70%);
}

/* section-project */

.card{
  width: 14rem;
  overflow: hidden;
}


.section-project img {
  height: 17vh;
}

/* fin section-project */

/* section-contact */

.section-contact {
  height: 90vh;
  background-color: #fecfc1;
}

.section-contact a{
  text-decoration: none;
}

.section-contact i {
  color: #383130;
  margin-top: 4.5rem;
  margin-right: 3rem;
  margin-left: 3rem;
}

.section-contact i:hover {
  transition: 1s;
  color: #837a76;
}

/* fin section-contact */

/*footer*/

footer {
  padding-top: 0.3rem;
  padding: 0.5rem;
}

/* fin footer */


/* media query */

@media (min-width: 768px) {
  /* section skills */
  .section-skills img {
    height: 11vh;
  }

  /* section-project */
  .section-project .btn {
    margin-bottom: 2rem;
    margin-top: 1rem;
  }

  hr{
    width: 15%
  }
}


@media screen and (min-width:991px) {
  /* general */
  .phone {
    display: none;
  }

  h1{
    font-size: 3.5rem;
  }

  /* section-home */
  .section-home h1 {
    top: 18rem;
  }

  /* section-about */
  img[alt="about-img"] {
    margin-top: 0.6rem;
    width: 20vw;
    height: 40vh;
  }
  hr {
    width: 8%;
  }
  .section-about {
    height: 100vh;
  }
  .section-about h4 {
    margin-top: 4rem;
    text-align: justify;
    line-height: 2rem;
  }
  
  .section-skills img {
    height: 11vh;
    padding-right: 3rem;
    padding-left: 3rem;
  }
  .card{
    margin-top: 2rem;
  }
  .section-project img {
    margin-top: 2rem;
    height: 18vh;
  }
  .section-project .btn {
    margin-bottom: 4rem;
  }
  .section-contact h1{
    margin-top: 6rem;
  }
}